Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime
[Java] Class GroovyCategorySupport

    java.lang.Object
      org.codehaus.groovy.runtime.GroovyCategorySupport

    public class GroovyCategorySupport
    extends java.lang.Object

Authors:
  sam
  Paul King
  Alex Tkachman

Nested Class Summary
`static class` | `GroovyCategorySupport.CategoryMethodList`
`static class` | `GroovyCategorySupport.ThreadCategoryInfo`

Method Summary
`static GroovyCategorySupport.CategoryMethodList` | `getCategoryMethods(java.lang.String name)` This method is used to pull all the new methods out of the local thread context with a particular name.
`static java.util.concurrent.atomic.AtomicInteger` | `getCategoryNameUsage(java.lang.String name)`
`static java.lang.String` | `getPropertyCategoryGetterName(java.lang.String propertyName)`
`static java.lang.String` | `getPropertyCategorySetterName(java.lang.String propertyName)`
`static boolean` | `hasCategoryInAnyThread()`
`static boolean` | `hasCategoryInCurrentThread()`
`static java.lang.Object` | `use(java.lang.Class categoryClass, Closure closure)` Create a scope based on given categoryClass and invoke closure within that scope.
`static java.lang.Object` | `use(java.util.List categoryClasses, Closure closure)` Create a scope based on given categoryClasses and invoke closure within that scope.

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### getCategoryMethods

    public static GroovyCategorySupport.CategoryMethodList getCategoryMethods(java.lang.String name)

  This method is used to pull all the new methods out of the local thread context with a particular name.
  Parameters:
    `name` - the method name of interest
  Returns:
    the list of methods

### getCategoryNameUsage

    public static java.util.concurrent.atomic.AtomicInteger getCategoryNameUsage(java.lang.String name)

### getPropertyCategoryGetterName

    public static java.lang.String getPropertyCategoryGetterName(java.lang.String propertyName)

### getPropertyCategorySetterName

    public static java.lang.String getPropertyCategorySetterName(java.lang.String propertyName)

### hasCategoryInAnyThread

    public static boolean hasCategoryInAnyThread()

### hasCategoryInCurrentThread

    public static boolean hasCategoryInCurrentThread()

### use

    public static java.lang.Object use(java.lang.Class categoryClass, Closure closure)

  Create a scope based on given categoryClass and invoke closure within that scope.
  Parameters:
    `categoryClass` - the class containing category methods
    `closure` - the closure during which to make the category class methods available
  Returns:
    the value returned from the closure

### use

    public static java.lang.Object use(java.util.List categoryClasses, Closure closure)

  Create a scope based on given categoryClasses and invoke closure within that scope.
  Parameters:
    `categoryClasses` - the list of classes containing category methods
    `closure` - the closure during which to make the category class methods available
  Returns:
    the value returned from the closure

Groovy Documentation